Subject: Re: bug#11624: Slowness with virtual groups

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jun 2012 19:09:56 +0200

John Wiegley <[email-masked]> writes:

Actually, I think the `M-g' on the group is a red herring, because that
will trigger lots of network traffic.

The problem is here:

> nnvirtual-request-group                5           43.949273000  8.7898546000
> nnvirtual-create-mapping               5           43.948769     8.7897538
> nnvirtual-reverse-map-article          3445374     9.3037520002  2.700...e-06
> nnvirtual-merge-sorted-lists           75          6.2297310000  0.0830630800

It's calling `nnvirtual-reverse-map-article' a gazillion times.  That's
slow.  Looking at the code, it's been this way since nnvirtual was
created.

So I guess nnvirtual just isn't suited to deal with big groups.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/